| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwSitus.cpp File Reference

Functions for reading and writing Situs files. More...

`#include "rwSitus.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readSitus (Bimage *p, int readdata)
| Reading a Situs image format. More...
int | writeSitus (Bimage *p)
| Writing a Situs image format. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing Situs files.

Author
  Bernard Heymann

Date
  Created: 20150316
  Modified: 20150316

Definition in file rwSitus.cpp.

## Function Documentation

## ◆ readSitus()

int readSitus | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a Situs image format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). This function reads an Situs image file: The first line contains (in order): sampling -origin 3 values size 3 values Data type returned is Float

Definition at line 27 of file rwSitus.cpp.

## ◆ writeSitus()

int writeSitus | ( | Bimage * | p | ) |

Writing a Situs image format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 82 of file rwSitus.cpp.

## Variable Documentation

## ◆ verbose

int verbose